Subject: bug#66970: 29.1; Overwrite-mode is not working with Korean characters

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Nov 2023 15:18:59 +0200

> Date: Tue, 7 Nov 2023 08:19:53 +0900
> From: SUKBEOM KIM <[email-masked]>
> 
> Yes, it is the problem only with typing via an input method.
> I checked that there is no issue if I type Korean characters with iBus 
> (I guess this is the 'LEIM' what you mentioned).

It looks like the Korean input methods in Leim don't support Overwrite
mode: they use 'insert' (see 'hangul-insert-character'), whereas
Overwrite mode is supported only by self-insert-command, which
requires to push the characters on the unread-command-events instead
of explicitly inserting them.

Stefan, Kenichi: any ideas or suggestions for how to fix this?